Package org.apache.synapse.transport.netty.config

## Class NettyConfigPropertyNames

- java.lang.Object
- - org.apache.synapse.transport.netty.config.NettyConfigPropertyNames

-     public class NettyConfigPropertyNames
      extends Object

  This class contains the names of Netty transport related configuration properties.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `ALLOWED_RESPONSE_PROPERTIES` |
    `static String` | `CLIENT_ENDPOINT_SOCKET_TIMEOUT` |
    `static String` | `CLIENT_REQUEST_LIMIT_VALIDATION` |
    `static String` | `CONNECTION_POOLING_MAX_ACTIVE_CONNECTIONS` | Max active connections per route(host:port).
    `static String` | `CONNECTION_POOLING_MAX_IDLE_CONNECTIONS` | Maximum number of idle connections allowed per pool.
    `static String` | `CONNECTION_POOLING_WAIT_TIME` | Maximum amount of time, the client should wait for an idle connection before it sends an error when the pool is exhausted.
    `static String` | `DISABLE_KEEPALIVE` | Defines whether HTTP keep-alive is disabled.
    `static String` | `ENABLE_CUSTOM_CONNECTION_POOL_CONFIG` |
    `static String` | `FORCE_JSON_MESSAGE_VALIDATION` | Check for invalid json message by parsing the input message.
    `static String` | `FORCE_MESSAGE_BUILDER` |
    `static String` | `FORCE_XML_MESSAGE_VALIDATION` | Validate the bad formed xml message by building the whole xml document.
    `static String` | `HTTP_BLOCK_SERVICE_LIST` |
    `static String` | `HTTP_GET_REQUEST_PROCESSOR` |
    `static String` | `HTTP_HEADERS_PRESERVE` | Defines whether ESB needs to preserve the original Http header.
    `static String` | `HTTP_RESPONSE_HEADERS_PRESERVE` | Defines whether ESB needs to preserve the original Http header.
    `static String` | `HTTP_SERVER_HOSTNAME` |
    `static String` | `HTTP_SOCKET_TIMEOUT` |
    `static String` | `HTTP_TRANSPORT_MEDIATION_INTERCEPTOR` |
    `static String` | `MAX_CLIENT_REQUEST_ENTITY_BODY_SIZE` |
    `static String` | `MAX_CLIENT_REQUEST_HEADER_SIZE` |
    `static String` | `MAX_CLIENT_REQUEST_STATUS_LINE_LENGTH` |
    `static String` | `MAX_ENTITY_BODY_SIZE` |
    `static String` | `MAX_HEADER_SIZE` |
    `static String` | `MAX_STATUS_LINE_LENGTH` |
    `static String` | `REQUEST_LIMIT_VALIDATION` |
    `static String` | `SERVER_HEADER_PRESERVE` | Defines whether ESB needs to preserve the original Server header.
    `static String` | `TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME_SEC` |
    `static String` | `USER_AGENT_HEADER_PRESERVE` | Defines whether ESB needs to preserve the original User-Agent header.
    `static String` | `WORKER_POOL_QUEUE_LENGTH` | Defines the length of the queue that is used to hold Runnable tasks to be executed by the worker pool.
    `static String` | `WORKER_POOL_SIZE_CORE` | Defines the core size (number of threads) of the worker thread pool.
    `static String` | `WORKER_POOL_SIZE_MAX` | Defines the maximum size (number of threads) of the worker thread pool.
    `static String` | `WORKER_THREAD_KEEP_ALIVE_SEC` | Defines the keep-alive time for extra threads in the worker pool.

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NettyConfigPropertyNames()` |

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### WORKER_POOL_SIZE_CORE

          public static final String WORKER_POOL_SIZE_CORE

      Defines the core size (number of threads) of the worker thread pool.
      See Also:
        Constant Field Values

    - #### WORKER_POOL_SIZE_MAX

          public static final String WORKER_POOL_SIZE_MAX

      Defines the maximum size (number of threads) of the worker thread pool.
      See Also:
        Constant Field Values

    - #### WORKER_THREAD_KEEP_ALIVE_SEC

          public static final String WORKER_THREAD_KEEP_ALIVE_SEC

      Defines the keep-alive time for extra threads in the worker pool.
      See Also:
        Constant Field Values

    - #### WORKER_POOL_QUEUE_LENGTH

          public static final String WORKER_POOL_QUEUE_LENGTH

      Defines the length of the queue that is used to hold Runnable tasks to be executed by the worker pool.
      See Also:
        Constant Field Values

    - #### USER_AGENT_HEADER_PRESERVE

          public static final String USER_AGENT_HEADER_PRESERVE

      Defines whether ESB needs to preserve the original User-Agent header.
      See Also:
        Constant Field Values

    - #### SERVER_HEADER_PRESERVE

          public static final String SERVER_HEADER_PRESERVE

      Defines whether ESB needs to preserve the original Server header.
      See Also:
        Constant Field Values

    - #### HTTP_RESPONSE_HEADERS_PRESERVE

          public static final String HTTP_RESPONSE_HEADERS_PRESERVE

      Defines whether ESB needs to preserve the original Http header.
      See Also:
        Constant Field Values

    - #### HTTP_HEADERS_PRESERVE

          public static final String HTTP_HEADERS_PRESERVE

      Defines whether ESB needs to preserve the original Http header.
      See Also:
        Constant Field Values

    - #### DISABLE_KEEPALIVE

          public static final String DISABLE_KEEPALIVE

      Defines whether HTTP keep-alive is disabled.
      See Also:
        Constant Field Values

    - #### TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME_SEC

          public static final String TRANSPORT_LISTENER_SHUTDOWN_WAIT_TIME_SEC

      See Also:
        Constant Field Values

    - #### FORCE_XML_MESSAGE_VALIDATION

          public static final String FORCE_XML_MESSAGE_VALIDATION

      Validate the bad formed xml message by building the whole xml document.
      See Also:
        Constant Field Values

    - #### FORCE_JSON_MESSAGE_VALIDATION

          public static final String FORCE_JSON_MESSAGE_VALIDATION

      Check for invalid json message by parsing the input message.
      See Also:
        Constant Field Values

    - #### HTTP_GET_REQUEST_PROCESSOR

          public static final String HTTP_GET_REQUEST_PROCESSOR

      See Also:
        Constant Field Values

    - #### HTTP_SERVER_HOSTNAME

          public static final String HTTP_SERVER_HOSTNAME

      See Also:
        Constant Field Values

    - #### HTTP_TRANSPORT_MEDIATION_INTERCEPTOR

          public static final String HTTP_TRANSPORT_MEDIATION_INTERCEPTOR

      See Also:
        Constant Field Values

    - #### HTTP_BLOCK_SERVICE_LIST

          public static final String HTTP_BLOCK_SERVICE_LIST

      See Also:
        Constant Field Values

    - #### FORCE_MESSAGE_BUILDER

          public static final String FORCE_MESSAGE_BUILDER

      See Also:
        Constant Field Values

    - #### ALLOWED_RESPONSE_PROPERTIES

          public static final String ALLOWED_RESPONSE_PROPERTIES

      See Also:
        Constant Field Values

    - #### REQUEST_LIMIT_VALIDATION

          public static final String REQUEST_LIMIT_VALIDATION

      See Also:
        Constant Field Values

    - #### MAX_STATUS_LINE_LENGTH

          public static final String MAX_STATUS_LINE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_HEADER_SIZE

          public static final String MAX_HEADER_SIZE

      See Also:
        Constant Field Values

    - #### MAX_ENTITY_BODY_SIZE

          public static final String MAX_ENTITY_BODY_SIZE

      See Also:
        Constant Field Values

    - #### CLIENT_REQUEST_LIMIT_VALIDATION

          public static final String CLIENT_REQUEST_LIMIT_VALIDATION

      See Also:
        Constant Field Values

    - #### MAX_CLIENT_REQUEST_STATUS_LINE_LENGTH

          public static final String MAX_CLIENT_REQUEST_STATUS_LINE_LENGTH

      See Also:
        Constant Field Values

    - #### MAX_CLIENT_REQUEST_HEADER_SIZE

          public static final String MAX_CLIENT_REQUEST_HEADER_SIZE

      See Also:
        Constant Field Values

    - #### MAX_CLIENT_REQUEST_ENTITY_BODY_SIZE

          public static final String MAX_CLIENT_REQUEST_ENTITY_BODY_SIZE

      See Also:
        Constant Field Values

    - #### HTTP_SOCKET_TIMEOUT

          public static final String HTTP_SOCKET_TIMEOUT

      See Also:
        Constant Field Values

    - #### ENABLE_CUSTOM_CONNECTION_POOL_CONFIG

          public static final String ENABLE_CUSTOM_CONNECTION_POOL_CONFIG

      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING_MAX_ACTIVE_CONNECTIONS

          public static final String CONNECTION_POOLING_MAX_ACTIVE_CONNECTIONS

      Max active connections per route(host:port). Default value is -1 which indicates unlimited.
      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING_MAX_IDLE_CONNECTIONS

          public static final String CONNECTION_POOLING_MAX_IDLE_CONNECTIONS

      Maximum number of idle connections allowed per pool.
      See Also:
        Constant Field Values

    - #### CONNECTION_POOLING_WAIT_TIME

          public static final String CONNECTION_POOLING_WAIT_TIME

      Maximum amount of time, the client should wait for an idle connection before it sends an error when the pool is exhausted.
      See Also:
        Constant Field Values

    - #### CLIENT_ENDPOINT_SOCKET_TIMEOUT

          public static final String CLIENT_ENDPOINT_SOCKET_TIMEOUT

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### NettyConfigPropertyNames

          public NettyConfigPropertyNames()